org.apache.cxf.feature

## Class LoggingFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.feature.DelegatingFeature<LoggingFeature.Portable>
      - - org.apache.cxf.feature.LoggingFeature

- All Implemented Interfaces:
    AbstractPortableFeature, Feature

  Deprecated.
  use the logging module rt/features/logging instead

      @Deprecated
      public class LoggingFeature
      extends DelegatingFeature<LoggingFeature.Portable>

  This class is used to control message-on-the-wire logging. By attaching this feature to an endpoint, you can specify logging. If this feature is present, an endpoint will log input and output of ordinary and log messages.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoggingFeature.Portable` Deprecated.

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.feature.DelegatingFeature

      `delegate`

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingFeature()` Deprecated.
    `LoggingFeature(int lim)` Deprecated.
    `LoggingFeature(Logging annotation)` Deprecated.
    `LoggingFeature(String in, String out)` Deprecated.
    `LoggingFeature(String in, String out, int lim)` Deprecated.
    `LoggingFeature(String in, String out, int lim, boolean p)` Deprecated.
    `LoggingFeature(String in, String out, int lim, boolean p, boolean showBinary)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLimit()` Deprecated.
    `boolean` | `isPrettyLogging()` Deprecated.
    `void` | `setLimit(int lim)` Deprecated.
    `void` | `setPrettyLogging(boolean prettyLogging)` Deprecated.

    - ### Methods inherited from class org.apache.cxf.feature.DelegatingFeature

      `getDelegate, initialize, initialize, initialize, initialize, initializeProvider, setDelegate`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `doInitializeProvider, getActive, getID, isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingFeature

          public LoggingFeature()

      Deprecated.

    - #### LoggingFeature

          public LoggingFeature(int lim)

      Deprecated.

    - #### LoggingFeature

          public LoggingFeature(String in,
                                String out)

      Deprecated.

    - #### LoggingFeature

          public LoggingFeature(String in,
                                String out,
                                int lim)

      Deprecated.

    - #### LoggingFeature

          public LoggingFeature(String in,
                                String out,
                                int lim,
                                boolean p)

      Deprecated.

    - #### LoggingFeature

          public LoggingFeature(String in,
                                String out,
                                int lim,
                                boolean p,
                                boolean showBinary)

      Deprecated.

    - #### LoggingFeature

          public LoggingFeature(Logging annotation)

      Deprecated.

  - ### Method Detail

    - #### setLimit

          public void setLimit(int lim)

      Deprecated.

    - #### getLimit

          public int getLimit()

      Deprecated.

    - #### isPrettyLogging

          public boolean isPrettyLogging()

      Deprecated.

    - #### setPrettyLogging

          public void setPrettyLogging(boolean prettyLogging)

      Deprecated.

Apache CXF